# $Revision: 1.6 $, $Date: 2002/08/18 12:31:20 $
Summary:	OpenGL Programmers Documentation - manuals
Summary(pl):	Dokumentacja dla programistw OpenGL - podrczniki man
Name:		XFree86-OpenGL-doc
Version:	1.1
Release:	2
Epoch:		1
License:	freely distributable (SGI)
Group:		X11/XFree86
Source0:	ftp://ftp.sgi.com/sgi/opengl/doc/mangl.tar.Z
Source1:	ftp://ftp.sgi.com/sgi/opengl/doc/manglx.tar.Z
Source2:	ftp://ftp.sgi.com/sgi/opengl/doc/manglu.tar.Z
Source3:	opengl-doc-imakefile.tar.gz
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	XFree86-devel >= 4

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
OpenGL API documentation from Siligon Graphics. This package contains
man pages for OpenGL 1.1 API, GLU 1.2 API (GL Utility Library) and GLX
API (OpenGL extensions to the X Server).

%description -l pl
Pakiet zawiera opracowan przez firm Silicon Graphics dokumentacj
biblioteki graficznej OpenGL. Strony podrcznika man opisuj
podstawowe funkcje OpenGL 1.1, GLU 1.2 (GL Utility Library) oraz GLX
(rozszerzenia 3D dla serwera X).

%package html
Summary:	OpenGL Programmers Documentation - HTML version
Summary(pl):	Dokumentacja dla programistw OpenGL - wersja HTML
Group:		X11/XFree86

%description html
OpenGL API documentation from Siligon Graphics. This set contains html
documentation for OpenGL 1.1 API, GLU 1.2 API (GL Utility Library) and
GLX 1.2 API (OpenGL extensions to the X Server).

%description html -l pl
Pakiet zawiera opracowan przez firm Silicon Graphics dokumentacj
biblioteki graficznej OpenGL. Dokumentacja html opisuje podstawowe
funkcje OpenGL 1.1, GLU 1.2 (GL Utility Library) oraz GLX 1.2
(rozszerzenia 3D dla serwera X).

%prep
%setup -q -c -b1 -b2 -a3

%build
# %config - hmm, this should be config section, but my
# rpm complains about lack of configure files. Lines below
# build Makefiles from Imakefiles. -- mguevara
cd release/xc/doc/man/GL 
xmkmf 
for i in gl*; do cd "$i"; xmkmf; cd ".."; done
# this line depends on bash, I think. There should be more 
# universal solution (what if build host uses csh?) -- mguevara

%install
rm -rf $RPM_BUILD_ROOT
cd release/xc/doc/man/GL
%{__make} DESTDIR=$RPM_BUILD_ROOT install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_mandir}/man3/*

%files html
%defattr(644,root,root,755)
%doc release/xc/doc/hardcopy/GL/html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: XFree86-OpenGL-doc.spec,v $
Revision 1.6  2002/08/18 12:31:20  blues
- release 2 - license fix

Revision 1.5  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/01 21:14:06  qboosh
- changed version to 1.1 (it documents OpenGL 1.1 and corresponding GLU 1.2;
  this package has nothing to do with XFree86 version)
- Epoch=1 for easy upgrade
- separated package with html documentation, placed it in %%{_docdir}

Revision 1.2  2001/07/18 03:20:04  kloczek
- spec adapterized.

Revision 1.1  2001/02/21 09:06:52  mguevara
- Set of OpenGL, GLU and GLX man pages and html docs taken from
  sgi (GLX part of man pages should be also in XFree86 4.x.x
  distribution)
- This is my first try - package builds on my home machine, but
  someone should look at this and check if the for loops will
  work on builders not running bash.
- In future this package should be part of XFree86 docs package
- Man pages goes to /usr/X11R6/man/man3/, html docs to
  /usr/X11R6/lib/X11/doc/html/gl*/ (btw. if builded with XFree86
  it probably will be icluded with the main html index document,
  there should be some investigation in this area)
